Loading...
Searching...
No Matches
cg.h File Reference

`cg` - conjugate gradient algorithm More...

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Functions

template<class Matrix , class Vector , class Vector2 , class Preconditioner >
int | cg (const Matrix &A, Vector &x, const Vector2 &Mb, const Preconditioner &M, const solver_option &sopt=solver_option())

## Detailed Description

`cg` - conjugate gradient algorithm

Definition in file cg.h.